Skip to main content

Get caller user info

GET 

/nevisidm/api/principal/v1/me

Required permission(s): SelfAdmin Role

Returns information about the currently authenticated caller user, including their identity, client, login profile, and unit details.

This endpoint is intended for displaying caller user information without having to query multiple different resources separately.

Responses

Caller user info returned successfully

Schema
    userExtId string

    External ID of the caller user.

    loginId string

    Login ID of the caller user.

    fullName string

    Full name of the caller user (first name and last name).

    email string

    Email address of the caller user.

    displayLanguageCode string

    Display language code of the caller user.

    clientExtId string

    External ID of the client the caller user belongs to.

    clientName string

    Name of the client the caller user belongs to.

    profileExtId string

    External ID of the caller user's login profile.

    unitExtId string

    External ID of the unit the caller user's login profile belongs to.

Loading...